summaryrefslogtreecommitdiff
path: root/sys-boot
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2016-12-31 20:12:55 +0000
committerV3n3RiX <venerix@redcorelinux.org>2016-12-31 20:12:55 +0000
commitac13cb6352f8dc890f186bbdfc15dbe1465e9264 (patch)
treec13077b572d82b32ea05cb12a8eee6e28ef18890 /sys-boot
parent75febcc825b2e313145cb650f517972b145b1485 (diff)
windows 10 support , yawza
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/os-prober/Manifest1
-rw-r--r--sys-boot/os-prober/os-prober-1.71.ebuild78
2 files changed, 79 insertions, 0 deletions
diff --git a/sys-boot/os-prober/Manifest b/sys-boot/os-prober/Manifest
index a1c78b18..1ad07ab7 100644
--- a/sys-boot/os-prober/Manifest
+++ b/sys-boot/os-prober/Manifest
@@ -1 +1,2 @@
DIST os-prober_1.65.tar.xz 24712 SHA256 c4a7661a52edae722f7e6bacb3f107cf7086cbe768275fadf5398d04360bfc84 SHA512 64dd9042a26dc859d9186bb48545d85b1a369d00a93b5045c420eac0c4b672ab32cb6028eada5f1cc21c8ab9386c35b8eedb79bc7975faf7b0a7b2841b284f53 WHIRLPOOL 397a92312b018fa08b2e838bc6b85fa4d55502dfb8e8725c79f4a0ae397e3bd258a7bb302f74b2293cd85f4ddabf4cba75ff2b4b57fa9904094c3a50e1ace36e
+DIST os-prober_1.71.tar.xz 25540 SHA256 5d6141e02b58e82194422b97d683d61c7ff78175d89c2f055f5d2e7a363bdd20 SHA512 adb7b8cf54c6169510c7ce2bf40e4b659c97eecfb7c1dd149269520ef13cdc2b6587f221fcfcb95c18caf9dba8144bbba561abb158e986ab02f4e0d338317d04 WHIRLPOOL cb3d8596c1e753fc2d687b30c6bd386d160114524b7b4f2d39dfe208191b231962311103a3106a7ccad8fa05bee132a5faa72265c44c33e22cb3d6090dd1cb04
diff --git a/sys-boot/os-prober/os-prober-1.71.ebuild b/sys-boot/os-prober/os-prober-1.71.ebuild
new file mode 100644
index 00000000..b3751337
--- /dev/null
+++ b/sys-boot/os-prober/os-prober-1.71.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+#inherit eutils multilib toolchain-funcs
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Utility to detect other OSs on a set of drives"
+HOMEPAGE="http://packages.debian.org/source/sid/os-prober"
+SRC_URI="mirror://debian/pool/main/${PN::1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-redcore.patch
+ # use default GNU rules
+ rm Makefile || die 'rm Makefile failed'
+ # Fix references to grub-mount
+ sed -i -e 's:grub-mount:grub2-mount:g' \
+ common.sh \
+ linux-boot-probes/common/50mounted-tests \
+ os-probes/common/50mounted-tests
+}
+
+src_compile() {
+ tc-export CC
+ emake newns
+}
+
+src_install() {
+ dobin os-prober linux-boot-prober
+
+ # Note: as no shared libraries are installed, /usr/lib is correct
+ exeinto /usr/lib/os-prober
+ doexe newns
+
+ insinto /usr/share/os-prober
+ doins common.sh
+
+ keepdir /var/lib/os-prober
+
+ local debarch=${ARCH%-*} dir
+
+ case ${debarch} in
+ amd64) debarch=x86 ;;
+ ppc|ppc64) debarch=powerpc ;;
+ esac
+
+ for dir in os-probes{,/mounted,/init} linux-boot-probes{,/mounted}; do
+ exeinto /usr/lib/$dir
+ doexe $dir/common/*
+ if [[ -d $dir/$debarch ]]; then
+ doexe $dir/$debarch/*
+ fi
+ if [[ -d $dir/$debarch/efi ]]; then
+ exeinto /usr/lib/$dir/efi
+ doexe $dir/$debarch/efi/*
+ fi
+ done
+
+ if use amd64 || use x86; then
+ exeinto /usr/lib/os-probes/mounted
+ doexe os-probes/mounted/powerpc/20macosx
+ fi
+
+ dodoc README TODO debian/changelog
+}
+
+pkg_postinst() {
+ elog "If you intend for os-prober to detect versions of Windows installed on"
+ elog "NTFS-formatted partitions, your system must be capable of reading the"
+ elog "NTFS filesystem. One way to do this is by installing sys-fs/ntfs3g"
+}